#include "systemc.h"
#include "reset_bca.h"

void reset_bca::reset_f() {
   rstp = 0;
   while(1) {
      wait();
      if (count == 5) {
         rstp = 0;
      } else if (count == 7) {
         rstp = 1;
//         cout << "reset = 1" << endl;
      }
      if (count <= 7) {
         count++;
//         cout << "reset = 0" << endl;
      }
   }
}
   